<ion-view title="Add Venue" ng-controller="venueAddCtrl as ctrl">

	<div class="container" style="padding-top: 50px">

		<div class="row">
			<div class="col-sm-12">
				<h4>General Info:</h4>
				<hr>
				<form class="form-horizontal">

					<div class="form-group">
						<label class="col-sm-2 control-label">Title:</label>
						<div class="col-sm-10">
							<input type="text" class="form-control"
								ng-model="ctrl.venue.title"
								placeholder="London">
						</div>
					</div>

					<div class="form-group">
						<label class="col-sm-2 control-label">Short Description:</label>
						<div class="col-sm-10">
							<text-angular ng-model="ctrl.venue.shortDescription"></text-angular>
						</div>
					</div>

					<!-- upload image -->
					<div class="form-group">
						<label class="col-sm-2 control-label">Image:</label>
						<div class="col-sm-10">

							<div class="row">
								<div class="col-sm-2">
									<img ng-src="{{ctrl.venue.image}}" class="img-thumbnail" ng-if="ctrl.venue.image">
								</div>
							</div>

							<button type="button" class="btn btn-success"
							ngf-select ngf-change="ctrl.image($files)"
							ngf-multiple="false">
								Upload Image
							</button>
							<button type="button" class="btn btn-danger"
							ng-if="ctrl.venue.image"
							ng-click="ctrl.deleteImg()">
								Delete Image
							</button>
						</div>
					</div>

					<!-- button -->
					<div class="form-group">
						<div class="col-sm-offset-2 col-sm-10">
							<hr>
							<button type="button" class="btn btn-success"
								ng-click="ctrl.add()">Save</button>
						</div>
					</div>

				</form>

			</div><!-- /.col -->
		</div><!-- /.row -->

	</div><!-- /.container -->
</ion-view>
